<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{EC163E68-B584-4376-83C7-DA9AEB4C758F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>StubCore</RootNamespace>
    <AssemblyName>StubCore</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MoreLinq, Version=2.6.20831.0, Culture=neutral, PublicKeyToken=384d532d7e88985d, processorArchitecture=MSIL">
      <HintPath>..\packages\morelinq.2.6.0\lib\net40\MoreLinq.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=9.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.9.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\packages\NLog.4.4.11\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.ValueTuple, Version=4.0.1.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.ValueTuple.4.3.0\lib\portable-net40+sl4+win8+wp8\System.ValueTuple.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Web.Http">
      <HintPath>..\..\..\..\Developer Tools\Developer Tools\packages\Microsoft.AspNet.WebApi.Core.5.2.3\lib\net45\System.Web.Http.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Mvc">
      <HintPath>..\..\..\..\Developer Tools\Developer Tools\packages\Microsoft.AspNet.Mvc.5.2.3\lib\net45\System.Web.Mvc.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Serialization" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Configuration\ConfigManager.cs" />
    <Compile Include="Configuration\Configuration.cs" />
    <Compile Include="Entities\Data\Option.cs" />
    <Compile Include="Entities\Migration\JsonProfile.cs" />
    <Compile Include="Entities\Old\JsonProfilesList.cs" />
    <Compile Include="Entities\Data\File.cs" />
    <Compile Include="Entities\Data\Namespace.cs" />
    <Compile Include="Entities\Data\Node.cs" />
    <Compile Include="Entities\Data\NodeValue.cs" />
    <Compile Include="Entities\Data\Profile.cs" />
    <Compile Include="Entities\Response\ConfigSet.cs" />
    <Compile Include="Entities\ViewData\ProfileItem.cs" />
    <Compile Include="Entities\Old\NodeData.cs" />
    <Compile Include="Entities\Old\ProfileNodes.cs" />
    <Compile Include="Entities\Old\OperationResponse.cs" />
    <Compile Include="Entities\Old\ViewProfile.cs" />
    <Compile Include="Entities\Response\ResponseData.cs" />
    <Compile Include="Entities\Old\TempNodesList.cs" />
    <Compile Include="Entities\Old\TempSpacesList.cs" />
    <Compile Include="Entities\Old\TType.cs" />
    <Compile Include="Plugins\DataCollector\DataCollectorClass.cs" />
    <Compile Include="Plugins\DataCollector\FilesCollector.cs" />
    <Compile Include="Plugins\DataCollector\FrontCollector.cs" />
    <Compile Include="Plugins\DataCollector\NamespaceCollector.cs" />
    <Compile Include="Plugins\DataCollector\NodesCollector.cs" />
    <Compile Include="Plugins\DataCollector\NodeValuesCollector.cs" />
    <Compile Include="Plugins\DataCollector\ProfilesCollector.cs" />
    <Compile Include="Plugins\DataCollector\ReferenceCollector.cs" />
    <Compile Include="Plugins\DataOperations\JsonOperations.cs" />
    <Compile Include="Plugins\FileOperations\FileManager.cs" />
    <Compile Include="Plugins\FileOperations\FileDataOperations.cs" />
    <Compile Include="Plugins\Helpers\ODataResponse.cs" />
    <Compile Include="Plugins\Logging\CollectorsLogger.cs" />
    <Compile Include="Plugins\Logging\ContextLogger.cs" />
    <Compile Include="Plugins\Logging\DataLogger.cs" />
    <Compile Include="Plugins\Migration\MigrationOperations.cs" />
    <Compile Include="Plugins\QueryOperations\FlexQueryData.cs" />
    <Compile Include="Plugins\QueryOperations\QueryData.cs" />
    <Compile Include="Plugins\Repositories\DataRepository.cs" />
    <Compile Include="Plugins\Routing\ProfileRouting.cs" />
    <Compile Include="Plugins\Routing\RoutingOperations.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Entities\Request\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>